\version "2.13.24"

\include "mydefs.ly"
\include "articulate.ly"

\paper {
  left-margin = 20\mm
%  system-separator-markup = \slashSeparator
%  two-sided = ##t
}

\header {
  tagline = ##f
  title = \markup { \bold \fontsize #4 "Harmonious" }
  subtitle = \markup { \bold \fontsize #2 "Concert Overture" }
  composer = \markup { \bold \fontsize #3 "Hu Haipeng" }
  copyright = \markup { \center-column  { \line { "Copyright" \char ##x00A9 "2009, by Hu Haipeng" } "All Rights Reserved" } }
}

modern =
#`(Staff ,(make-accidental-rule 'same-octave 0)
  ,(make-accidental-rule 'any-octave 0)
  ,(make-accidental-rule 'same-octave 1))
         
\layout {
  \context {
    \Score
    autoAccidentals = #modern
    autoCautionaries = #modern
  }
}

  marks = {
    \set markFormatter = #format-mark-box-numbers
    \tempo \allegro 4=120
    s2.*6 | s1*5/4*2 |
    \mark \default s1*9/8*3 | s1*5/4*4 |
    \tag #'score { s2. s2^\rit | s1*9/8*3^\atempo | }
    \tag #'midi { s2 s8 \tempo 4=116 s \tempo 4=112 s \tempo 4=106 s \tempo 4=98 s \tempo 4=90 s | \tempo 4=100 s \tempo 4=120 s1 | s1*9/8*2 | }
    s1*5/4*2 |
    \tag #'score { s1*5/4 | }
    \tag #'midi { s1 \tempo 4=60 s4 \tempo 4=120 | }
    \mark \default s1*5/4*17 |
    \mark \default s2.*8 | s1*5/4*6 |
    \mark \default s1*9/8*11 | s1*5/4*3 \bar "||"
  }

  piccolo = \relative c'''' {
    \clef treble \key c \major \time 3/4
    \transposition c''
    R2.*6 |
    \time 5/4
    \tag #'score { r2 r8 g\mf\<\startTrillSpan ~ g2\stopTrillSpan |
    \grace { g16([ a b] } c8-.->)\!\sf r r4 r r2 | }
    \tag #'midi { r2 r8 \repeat unfold 9 { g32\mf\< a } \times 2/3 { g a b } |
    c8-.->\!\sf r r4 r r2 | }
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*4 |
    r2 r8 a-.\f\< g-. a-. g-. a-.-> |
    \time 9/8 g-.->\!\sf r r r4 r8 r4 r8 |
    R1*9/8 |
    r4 r8 r4 r8 r g,16\f\< a c e |
    \time 5/4 a8-.->\!\sf r r4 r r2 |
    R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*10 |
    r8 e-.\f b-. d-. a-. b-.\> g-. a-. e-. d-.\!\mp |
    R1*5/4*6 |
    \time 3/4
    R2.*4 |
    fis16(\mf gis fis dis b gis fis8-.) r r |
    R2. |
    fis'16( gis fis dis b gis fis8-.) r r |
    R2. |
    \time 5/4
    R1*5/4 | R1*5/4 |
    \tag #'score { g'2.\f\startTrillSpan ~ g2 ~ |
      g2. ~ g2\stopTrillSpan | }
      \tag #'midi { \repeat unfold 20 { g32\f a } |
      \repeat unfold 19 { g a } g16 | }
    a16\!\mp a a8-. a-. a-. a-. a16\< a a8-. a-. a-. a-. |
    d16 d d8-. d-. d-. d-. d16 d d8-. d-. d-. d-. |
    \time 9/8
    d16-.\!\f d d8-. r r4 r8 r4 r8 |
    R1*9/8 |
    r4 r8 r4 g,16-. a-. g-. e-. d8-. r |
    r4 r8 r4 d16-. e-. g-. b-. d8-. r |
    r4 r8 d,16-. e-. g-. b-. d8-. r4 r8 |
    d,16-. e-. g-. b-. d8-. d,16-. e-. g-. b-. d8-. d,16-. e-. g-. b-. d8-. |
    d,16( e g b d8-.) b,16(\> d e g b8-.) g,16( b d e g8-.)\!\mf |
    R1*9/8*3 |
    r4 r8 r4 r8 b,16(\p g b d e g |
    \time 5/4
    b8-.) r r4 r r2 |
    R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  flutes = \relative c''' {
    \clef treble \key c \major \time 3/4
    R2. | R2. |
    r8 <g c,>16\f\< <a e> <c g> <e a,> <g c,>8-.->\!\ff r r |
    R2. | R2. |
    r8 <gis, cis,>16\f\< <b e,> <cis gis> <e b> <gis b,>8-.->\!\ff r r |
    \time 5/4
    \tag #'score { << { g2.\p\<\startTrillSpan ~ g2\stopTrillSpan |
        \grace { g16([ a b] } c8-.->)\!\sf } \\
      { dis,2. ~ dis2 |
        e8-.-> } >> r r4 r r2 | }
    \tag #'midi { << { \repeat unfold 19 { g32\p\< a } \times 2/3 { g a b } |
        c8-.->\!\sf } \\
      { dis,2. ~ dis2 |
        e8-.-> } >> r r4 r r2 | }
    \time 9/8 R1*9/8 | R1*9/8 |
    r4 r8 r4 r8 r <g, e>16\mf\< <a e> <c e,> <e g,> |
    \time 5/4 <a c,>8-.->\!\sf r r4 r c,8-.\p^"I" a-. d-. c-. |
    r2 r4 d8-.\mp a-. e'-. d-. |
    r d-.\mf bes-. f'-. d-. r d-. bes-. f'-. d-. |
    r g-.\f d-. a'-. g-. r g-. d-. a'-. g-. |
    <g b,>-.\mf\< <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-.-> |
    \time 9/8 <g e>-.->\!\sf g-.\f^"I" e-. a-. g-. c,16-.^"a2" d-. c-. a-. g8-. r |
    r g'-.^"I" e-. a-. g-. c,16-.^"a2" d-. e-. c-. d8-. r |
    r g-.^"I" e-. a-. g-. r r <g, e>16\mf\< <a e> <c e,> <e g,> |
    \time 5/4 <a c,>8-.->\!\sf r r4 r8 <a, f>16\mf\< <c f,> <d a> <f a,> <a c,>8-.->\!\sf r4 |
    r <a, f>16\mf\< <c f,> <d a> <f a,> <a c,>8-.->\!\sf r r2  |
    r8 fis,16-.\f^"a2" fis-. fis8-.-> dis-. <a' d,>16-. <a d,>-. <a d,>8-.-> <d fis,>16-. <d fis,>-. <d fis,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4 |
    d4(\mf^"I"^\dolce e d8) b( d, e g b) |
    d4( e d8) b( d, e g a) |
    b4( g8 a g) e( b\< d e g) |
    b( g a b e d ~ d2)\!\f |
    r8 <d b>-.\mp <b g>-. <e b>-. <d b>-. r <d b>-. <b g>-. <e b>-. <d b>-. |
    r <d b>-. <b g>-. <e b>-. <d b>-. r <d b>-. <b g>-. <g' e>-. <e b>-. |
    r <e c>-. <c a>-. <g' d>-. <d b>-. r <e b>-. <b g>-. <g' e>-. <e b>-. |
    r <d b>-. <b g>-. <g' d>-. <d b>-. r <e b>-. <b g>-. \times 4/6 { <g d>16(\< <a e> <b g> <d a> <e b> <g d> } | 
    <b e,>2.\!\f ~ <b e,>8) << { a4( g8) } \\ { cis,4. } >> |
    << { d2.\> ~ d2\!\mp } \\ { fis,4 r r r2 } >> |
    R1*5/4*6 |
    \time 3/4
    d'16(\mp^"I" e d b g e d8-.) r r |
    R2. |
    d'16( e d b g e d8-.) r r |
    R2. |
    r4 r8 fis16(\mf gis fis dis b gis |
    fis8-.) r r4 r |
    r4 r8 fis'16( gis fis dis b gis |
    fis8-.) r r fis'16(\< gis b cis dis fis |
    \time 5/4
    g8-.)\!\f r r4 r r2 |
    r4 f,8(\mf\< g bes c) g( bes c ees)\! |
    << { \tag #'score { g2.\f\startTrillSpan ~ g2 ~ |
      g2. ~ g2\stopTrillSpan }
      \tag #'midi { \repeat unfold 20 { g32\f a } |
      \repeat unfold 19 { g a } g16 } } \\
      { bes,2( ~ bes8 b ~ b2) |
      b2. ~ b2 } >> |
    <e a,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <fis d>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <g d>-.\!\f d-.^"a2" b-. e-. d-. <g g,>16-. <a a,>-. <g g,>-. <e e,>-. <d d,>8-. r |
    d16-.^"a2" d-. d8-. b-. e-. d-. <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. r |
    d16-. d d8-. b-. e-. d-. <g g,>16-. <a a,>-. <g g,>-. <e e,>-. <d d,>8-. r |
    d16-.^"a2" d-. d8-. b-. e-. d-. <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. r |
    g16-. a-. g-. e-. d8-. <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. g16-. a-. g-. e-. d8-. |
    <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. <d d,>16-. <e e,>-. g,-.^"a2" b-. d8-. |
    <d d,>16( <e e,> g,^"a2" b d8-.) <b b,>16(\> <d d,> e,^"a2" g b8-.) <g g,>16( <b b,> d,^"a2"  e g8-.) |
    e16(\!\mf\>^"I" g b d e8-.) d,16( e g b d8-.) b,16( d e g b8-.)\!\mp |
    R1*9/8 | R1*9/8 |
    r4 r8 b,16(\p d e d e g b8-.) r r |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  oboes = \relative c''' {
    \clef treble \key c \major \time 3/4
    R2.*6 |
    \time 5/4
    \tag #'score { << { g2.\p\<\startTrillSpan ~ g2\stopTrillSpan |
        \grace { g16([ a b] } c8-.->)\!\sf } \\
      { b,2. ~ b2 |
        \grace { b16([ c d] } e8-.->) } >> r r4 r r2 | }
    \tag #'midi { << { \repeat unfold 19 { g32\p\< a } \times 2/3 { g a b } |
        c8-.->\!\sf } \\
      { b,2. ~ b4.. \times 2/3 { b32 c d } |
        e8-.-> } >> r r4 r r2 | }
    \time 9/8 r8 g-.\mf^"I" e-. a-. g-. r r4 r8 |
    r g-. e-. a-. g-. r r4 r8 |
    r g-. e-. a-. g-. r r4 r8 |
    \time 5/4 r c-.\p a-. d-. c-. r r2 |
    r8 d-.\mp a-. e'-. d-. r r2 |
    r8 d,-.\mf bes-. f'-. d-. r d-. bes-. f'-. d-. |
    r g-.\f d-. a'-. g-. r g-. d-. a'-. g-. |
    <g b,>-.\mf\< <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-.->\! |
    \time 9/8 <g c,>-.->\!\sf g-.\f^"I" e-. a-. g-. r r4 r8 |
    r g-. e-. a-. g-. r r4 r8 |
    r g-. e-. a-. g-. <g, e>16\mf\< <a e> <c e,> <e g,> <g, e> <a e> <c e,> <e g,> |
    \time 5/4 <a c,>8-.->\!\sf r r4 r8 <a, f>16\mf\< <c f,> <d a> <f a,> <a c,>8-.->\!\sf r4 |
    r <a, f>16\mf\< <c f,> <d a> <f a,> <a c,>8-.->\!\sf r r2 |
    r2 <fis a,>16-.\f <fis a,>-. <fis a,>8-.-> <a d,>16-. <a d,>-. <a d,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4 |
    d,4(\mf^"I"^\dolce e d8) b( d, e g b) |
    d4( e d8) b( d, e g a) |
    b4( g8 a g) e( b\< d e g) |
    b( g a b e d ~ d2)\!\f |
    R1*5/4*3 |
    r8 g,(\mf\<^"I" a b d e)\! b(\< d e g)\! |
    << { b2.\f ~ b8 a4( g8) } \\ { cis,2. ~ cis2 } >> |
    << { d2.\> ~ d2\!\mp } \\ { a4 r r r2 } >> |
    R1*5/4*6 |
    \time 3/4
    R2.*3 | <d b>4->\mf <b g>8-.-> <e b>-.-> <d b>4-> |
    R2.*3 |
    r4 r8 fis,16(\mf\< gis b cis dis fis |
    \time 5/4
    g8-.)\!\f g,(\mf bes4 c8 ees) bes( c4 ees8 |
    g)\< ees( f g bes, c) g( bes c ees)\! |
    << { g2.\f ~ g2 } \\ { bes,2( ~ bes8 b ~ b2) } >> |
    <g' b,>2. ~ <g b,>2\> |
    <a c,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <a d,>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <b d,>16-.\!\f q-. q8-. <g b,>-. <b e,>-. <b d,>-. <b g>16-. <b a>-. <b g>-. <b e,>-. <b d,>8-. r |
    <b d,>16-. q-. q8-. <g b,>-. <b e,>-. <b d,>-. <b d,>16-. <b e,>-. <b g>-. <b b,>-. <a d,>8-. r |
    <b d,>16-. q-. q8-. <g b,>-. <b e,>-. <b d,>-. <b g>16-. <b a>-. <b g>-. <b e,>-. <b d,>8-. r |
    <b d,>16-. q-. q8-. <g b,>-. <b e,>-. <b d,>-. <b d,>16-. <b e,>-. <b g>-. <b b,>-. <a d,>8-. r |
    <b g>16-. <b a>-. <b g>-. <b e,>-. <b d,>8-. <b d,>16-. <b e,>-. <b g>-. <b b,>-. <a d,>8-. <b g>16-. <b a>-. <b g>-. <b e,>-. <b d,>8-. |
    <b d,>16-. <b e,>-. <b g>-. <b b,>-. <a d,>8-. <b d,>16-. <b e,>-. <b g>-. <b b,>-. <b d,>8-. <b d,>16-. <b e,>-. <b g>-. <b b,>-. <a d,>8-. |
    <b g>-. r r r4 r8 g,16(\>^"I" b d e g8-.) |
    e,16( g b d e8-.) d,16( e g b d8-.)\!\mp r4 r8 |
    R1*9/8*3 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  clarinets = \relative c' {
    \clef treble \key d \major \time 3/4
    \transposition bes
    R2. |
    r4 r8 << { a16\mf b d fis a\< b |
      d fis a, b d fis a8-.->\!\ff } \\
    { r4 d,,16 fis |
      a b d, fis a b d8-.-> } >> r r |
    R2. |
    r4 r8 << { ais,16\mf cis dis fis ais\< cis |
      dis fis ais, cis dis fis ais8-.->\!\ff } \\
    { r4 dis,,16 fis |
      ais cis dis, fis ais cis cis8-.-> } >> r r |
    \time 5/4
    \tag #'score { << { a'2.\p\<\startTrillSpan ~ a2\stopTrillSpan |
        \grace { a16([ b cis] } d8-.->)\!\sf } \\
      { a,2.\startTrillSpan ~ a2\stopTrillSpan |
        \grace { a16([ b cis] } d8-.->) } >> r r4 r r2 | }
    \tag #'midi { << { \repeat unfold 19 { a'32\p\< b } \times 2/3 { a b cis } |
        d8-.->\!\sf } \\
      { \repeat unfold 19 { a,32 b } \times 2/3 { a b cis } |
        d8-.-> } >> r r4 r r2 | }
    \time 9/8 r4 r8 r4 <a, fis>16\f <a fis> <a fis> <b fis> <a fis>8 r |
    r4 r8 r4 <a fis>16 <a fis> <a fis> <a fis> <cis e,>8-. r |
    r4 r8 r4 r8 r <a' fis>16\mf\< <b fis> <d fis,> <fis a,> |
    \time 5/4
    <b d,>8-.->\!\sf r <g, b, ~ >4.(\p\< <f b,>8 ~ <f b,>2) |
    <e gis,>2(\!\mp\< ~ <e gis,>8 <gis d> ~ <gis d>2)\!\mf |
    R1*5/4 |
    <a cis,>2.\f ~ <a cis,>2 |
    <g' a,>8-.\mf\< <g b,>-. <g a,>-. <g b,>-. <g a,>-. <g b,>-. <g a,>-. <g b,>-. <g a,>-. <g b,>-.-> |
    \time 9/8 <fis a,>-.->\!\sf <a d,>-.\f <fis d>-. <b d,>-. <a d,>-. <fis d>16-. <a e>-. <fis d>-. <fis b,>-. <d a>8-. r |
    r <a' d,>-. <fis d>-. <b d,>-. <a d,>-. <fis d>16-. <a e>-. <a fis>-. <fis d>-. <a e>8-. r |
    r <a d,>-. <fis d>-. <b d,>-. <a d,>-. r r <a, fis>16\f\< <b fis> <d a> <fis a,> |
    \time 5/4 <b d,>8-.->\!\sf r r4 r8 <b, g>16\mf\< <d b> <e b> <g d> <b g>8-.->\!\sf r4 |
    r <b, g>16\mf\< <d b> <e b> <g d> <b g>8-.->\!\sf r r2 |
    r8 <f des>16-.\f <f des>-. <f des>8-.-> <des aes>-. <e gis,>16-. <e gis,>-. <e gis,>8-.-> <b e,>16-. <b e,>-. <b e,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    r8 <e cis>-.\mp <cis a>-. <fis cis>-. <e cis>-. r <e cis>-. <cis a>-. <fis cis>-. <e cis>-. |
    r <e cis>-. <cis a>-. <fis cis>-. <e cis>-. r <e cis>-. <cis a>-. <a' fis>-. <fis cis>-. |
    r <fis d>-. <d b>-. <a' e>-. <e cis>-. r <fis cis>-. <cis a>-. <a' fis>-. <fis cis>-. |
    r <e cis>-. <cis a>-. <a' e>-. <e cis>-. r <fis cis>-. <cis a>-k <a' fis>-. <fis cis>-. |
    <fis cis>2.\!\f ~ <fis ~ cis>8 <fis b,>4. |
    r8 fis-.^"I" cis-. e-. b-. cis-.\> a-. b-. fis-. e-.\!\mp |
    R1*5/4*4 |
    e4(\p g4. a4.\< c8 d) |
    e8(\!\mf g d e8\> ~ e4 ~ e2)\!\p |
    \time 3/4
    r4 r8 e16(\mp fis e cis a fis |
    e8-.) r r4 r |
    r4 r8 e'16( fis e cis a fis |
    e8-.) r r4 r |
    R2.*3 |
    <gis eis>4\mf\< <eis cis>8-. <eis cis>-. <gis eis>-. <cis gis>-. |
    \time 5/4
    <c a>-.\!\f a,(\mf^"II" c4 d8 f) c( d4 f8 |
    a)\< f( g a c d)\! r2 |
    <f' f,>2.\f ~ <f f,>2 |
    <fis fis,>2. ~ <fis fis,>2 |
    <fis fis,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <e gis,>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <e a,>-.\!\f <e, a,>8-. <cis a>-. <fis a,>-. <e a,>-. <cis a>16-. <cis b>-. <cis a>-. <cis fis,>-. <cis e,>8-. r |
    <e a,>16-. q-. q8-. <cis a>-. <fis a,>-. <e a,>-. <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e d>8-. r |
    <e a,>16-. q-. q8-. <cis a>-. <fis a,>-. <e a,>-. <cis a>16-. <cis b>-. <cis a>-. <cis fis,>-. <cis e,>8-. r |
    <e a,>16-. q-. q8-. <cis a>-. <fis a,>-. <e a,>-. <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e d>8-. r |
    <cis a>16-. <cis b>-. <cis a>-. <cis fis,>-. <cis e,>8-. <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e d>8-. <cis a>16-. <cis b>-. <cis a>-. <cis fis,>-. <cis e,>8-. |
    <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e d>8-. <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e a,>8-. <cis e,>16-. <cis fis,>-. <cis a>-. <cis a>-. <e d>8-. |
    << { \tag #'score { cis'4\trill cis8-. a4\trill\> a8-. e4\trill e8-. |
      cis4\trill cis8-. a4\trill a8-. cis,16(\!\mp e fis a cis8-.) }
    \tag #'midi { \repeat unfold 4 { cis'32 d } cis8-. \repeat unfold 4 { a32\> b } a8-. \repeat unfold 4 { e32 fis } e8-. |
    \repeat unfold 4 { cis32 d } cis8-. \repeat unfold 4 { a32 b } a8-. cis,16(\!\mp e fis a cis8-.) } } \\
        { a'4 ~ a8-. e4 ~ e8-. cis4 ~ cis8-. |
      a4 ~ a8-. e4 ~ e8-. cis4 ~ cis8-. } >> |
    a'16( cis e fis a8-.) fis,16(\> a cis e fis8-.) e,16( fis a cis e8-.) |
    cis,16(\!\p e fis a cis8-.) cis,16( e fis a cis8-.) cis,16( e fis a cis8-.) |
    cis,16( e fis e fis a cis8-.) r r r4 r8 |
    \time 5/4
    <cis, e,>2. ~ <cis e,>2 ~ | <cis e,>2.\> ~ <cis e,>2\!\pp | R1*5/4^\fermataMarkup \bar "||"
  }

  bassoons = \relative c, {
    \clef bass \key c \major \time 3/4
    R2. |
    r4 r8 <c c'>4.\mf\< ~ |
    <c c'> ~ <c c'>8-.->\!\ff r r |
    R2. |
    r4 r8 <e e'>4.\mf\< ~ |
    <e e'> ~ <e e'>8-.->\!\ff r r |
    \time 5/4
    <g g'>2.\p\< ~ <g g'>2 |
    \grace { <f f'>16[( <e e'> <d d'>] } <c c'>8-.->)\!\sf r r4 r r2 |
    \time 9/8 R1*9/8 | R1*9/8 |
    r4 r8 r4 <c c'>8\p\< ~ <c c'>4. |
    \time 5/4 <f c'>2.->\!\sfp\< ~ <f c'>2 |
    <d d'>2.\!\mp\< ~ <d d'>2 |
    <bes bes'>2\!\mf\< ~ <bes bes'>8 <aes' d>8 ~ <aes d>2 |
    <g g'>8-.\!\f r r <d d'>-. r <g g'>8-. r4 <d d'>8-. r |
    <g g'>-.\mf\< <d d'>-. <g g'>-. <d d'>-. <g g'>-. <d d'>-. <g g'>-. <d d'>-. <g g'>-. <g g'>-.-> |
    \time 9/8 <c, c'>-.->\!\sf r r <g' g'>-.\f r <g g'>16-. <g g'>-. <g g'>-. <g g'>-. <c, c'>8-. <g' g'>-.-> |
    <c, c'>-.-> r r <g' g'>-. r <c, c'>16-. <c c'>-. <c c'>-. <c c'>-. <g' g'>8-. <g g'>-.-> |
    <c, c'>-.-> r r <g' g'>-. r <c, c'>16-.\mf\< <c c'>-. \repeat tremolo 6 <c c'> |
    \time 5/4 <f f'>8-.->\!\sf r r4 r8 <f c'>4\mf\< <f c'>8-.->\!\sf r4 |
    r <f c'>\mf\< <f c'>8-.->\!\sf r r2 |
    r2 <d' d'>16-.\f <d d'>-. <d d'>8-.-> <d, d'>16-. <d d'>-. <d d'>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    <g g'>8-.\mp r r <d d'>-. r <g g'>-. r4 <fis fis'>8-. r |
    <e e'>-. r r <b b'>-. r <e e'>-. r4 <d d'>8-. r |
    <c c'>-. r r <d d'>-. r <e e'>-. r4 <b b'>8-. r |
    <d d'>-.\< r r <e e'>-. r <b b'>-. r4 <e e'>8-. r |
    <a e'>2.\!\f ~ <a e'>2 |
    <d, d'>2.\> ~ <d d'>2\!\mp |
    R1*5/4*5 |
    r2 r8 d''(\mf^"I" f\> c d4)\!\p | 
    \time 3/4
    R2. |
    <b d>4->\mp <g b>8-.-> <b e>-.-> <b d>4-> |
    R2.*5 |
    r2 r8 <b,, b'>-.\f |
    \time 5/4
    <ees ees'>-. r r <bes bes'>-.\mf r <ees ees'>-. r4 <bes bes'>8-. r |
    <ees ees'>-.\< r r <bes bes'>-. r <ees ees'>-. r4 <bes bes'>8-. r |
    <ees ees'>-.\!\f r r <bes bes'>-. r <ees ees'>-. r4 <b b'>8-. r |
    <e e'>-. r r <b b'>-. r <e e'>-. r4 <d d'>8-. r |
    <c c,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <d d'>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <g g'>16-.\!\f q-. q8-. r <d d'>-. r <d d'>16-. <d d'>-. <d d'>-. <d d'>-. <g g'>8-. <d d'>-.-> |
    <g g'>16-.-> q-. q8-. r <d d'>-. r <g g'>16-. <g g'>-. <g g'>-. <g g'>-. <d d'>8-. <d d'>-.-> |
    <g g'>16-.-> q-. q8-. r <d d'>-. r <d d'>16-. <d d'>-. <d d'>-. <d d'>-. <g g'>8-. <d d'>-.-> |
    <g g'>16-.-> q-. q8-. r <d d'>-. r <g g'>16-. <g g'>-. <g g'>-. <g g'>-. <d d'>8-. <d d'>-.-> |
    <g g'>16-. <g g'>-. <g g'>-. <g g'>-. <g g'>8-. <d d'>16-. <d d'>-. <d d'>-. <d d'>-. <d d'>8-. <g g'>16-. <g g'>-. <g g'>-. <g g'>-. <g g'>8-. |
    <g g'>4-> <d d'>8-> <e e'>4-> <d d'>8-> <b b'>4-> <d d'>8-> |
    <g g'>2. ~ <g g'>4.\> ~ |
    <g g'>2. ~ <g g'>4. |
    <g d'>2. ~ <g d'>4.\!\p |
    R1*9/8 | R1*9/8 |
    \time 5/4
    <g d'>2.\p ~ <g d'>2 ~ | <g d'>2.\> ~ <g d'>2\!\pp | R1*5/4^\fermataMarkup \bar "||"
  }

  hornI = \relative c'' {
    \clef treble \key g \major \time 3/4
    \transposition f
    <d g,>4\f <b d,> <e g,>8-. <d g,>->\> ~ |
    <d g,>2\!\mp ~ <d g,>4\< ~ |
    <d g,>4. ~ <d g,>8-.->\!\ff r4 |
    <dis fis,>\f <b dis,> <fis' b,>8-. <dis fis,>->\> ~ |
    <dis fis,>2\!\mp ~ <dis fis,>4\< ~ |
    <dis fis,>4. ~ <dis fis,>8-.\!\ff r4 |
    \time 5/4
    <d fis,>2.\p\< ~ <d fis,>2 |
    <d g,>8-.->\!\sf r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4 | R1*5/4 |
    <c f,>2.\mp\< ~ <c f,>2 |
    <d a>2.\!\f ~ <d a>2 |
    <d a>8-.\p\< <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-.-> |
    \time 9/8 <d g,>-.->\!\sf <d g,>-.\f <d g,>-. r <d g,>-. <d g,>16-. <d g,>-. <d g,>-. <e g,>-. <d g,>8-. r |
    r <d g,>-. <d g,>-. r <d g,>-. <d g,>16-. <d g,>-. <d g,>-. <d g,>-. <d fis,>8-. r |
    r <d g,>-. <d g,>-. r <d g,>-. r r <d g,>16-.\mf\< <d g,>-. <d g,>-. <d g,>-. |
    \time 5/4 <e g,>8-.->\!\sf <g e>16-.\f <g e>-. <g e>8-. <e c>-. <a e>-. <g e>4 ~ <g e>8-. r4 |
    r2 r8 <g e>16-. <g e>-. <g e>8-.-> <e c>-. r4 |
    r2 r4 <cis e,>16-. <cis e,>-. <cis e,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    r8 <d fis,>-.\mp <d fis,>-. r <d fis,>-. r <d fis,>-. <d fis,>-. r <d fis,>-. |
    r <d fis,>-. <d fis,>-. r <d fis,>-. r <d fis,>-. <d fis,>-. r <d fis,>-. |
    r <e g,>-. <e g,>-. r <d fis,>-. r <d fis,>-. <d fis,>-. r <d fis,>-. |
    r <d fis,>-.\< <d fis,>-. r <d fis,>-. r <d a>-. <d a>-. r <d a>-. |
    <d gis,>2.\!\f ~ <d gis,>2 |
    r8 <d a>-. <d a>-. r <cis g>-. r <d a>-.\> <d a>-. r <cis g>-.\!\mp |
    R1*5/4*6 |
    \time 3/4
    R2.*5 |
    <cis fis,>4->\mf <ais cis,>8-.-> <dis fis,>-.-> <cis fis,>4-> |
    R2. |
    <bes des,>2\p\<  ~  <bes des,>8 <bes des,>-. |
    \time 5/4
    <bes d,>2.\!^\markup { \bold \italic \dynamic "f" "sub." \dynamic "mp" } ~ <bes d,>2 ~ |
    <bes d,>2.\< ~ <bes d,>2 |
    <bes d,>2.\!\mf ~ <bes d,>2 |
    <d fis,>2 ~ <d fis,>8 <d b>4 <b fis>8-. <e b>-. <d b>-. |
    <e b>2.\mp ~ <e b>2\< |
    <cis g>2. ~ <cis g>2 |
    \time 9/8
    <d fis,>8-.\!\f <d a>-. q-. r q-. <d fis,>16-. q-. q-. q-. q8-. <cis g>-.-> |
    <d fis,>-.-> <d a>-. q-. r q-. <d fis,>16-. q-. q-. q-. <cis g>8-. <cis g>-.-> |
    <d fis,>-.-> <d a>-. q-. r q-. <d fis,>16-. q-. q-. q-. q8-. <cis g>-.-> |
    <d fis,>-.-> <d a>-. q-. r q-. <d fis,>16-. q-. q-. q-. <cis g>8-. <cis g>-.-> |
    <d fis,>16-. q-. q-. q-. q8-. q16-. q-. q-. q-. <cis g>8-. <d fis,>16-. q-. q-. q-. q8-. |
    q4 <cis g>8-. <d fis,>4 q8-. q4 <cis g>8-. |
    <d fis,>2. ~ <d fis,>4.\> ~ |
    <d fis,>2. ~ <d fis,>4. |
    <a d,>2. ~ <a d,>4. ~ |
    <a d,>2.\!\p ~ <a d,>4. |
    R1*9/8 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  hornII = \relative c'' {
    \clef treble \key g \major \time 3/4
    \transposition f
    <d g,>4\f <b d,> <e g,>8-. <d g,>->\> ~ |
    <d g,>2\!\mp ~ <d g,>4\< ~ |
    <d g,>4. ~ <d g,>8-.\!\ff r4 |
    <dis fis,>\f <b dis,> <fis' b,>8-. <dis fis,>->\> ~ |
    <dis fis,>2\!\mp ~ <dis fis,>4\< ~ |
    <dis fis,>4. ~ <dis fis,>8-.\!\ff r4 |
    \time 5/4
    <d fis,>2.\p\< ~ <d fis,>2 ~ |
    <d g,>8-.->\!\sf r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4 | R1*5/4 |
    <a c,>2\mp\< ~ <a ~ c,>8 <a ees> ~ <a ees>2 |
    <c fis,>2.\!\f ~ <c fis,>2 |
    <d a>8-.\p\< <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-. <d a>-. <e a,>-.->\! |
    \time 9/8 <d g,>-.->\!\sf <b d,>-.\f <b d,>-. r <b d,>-. <d g,>16-. <d g,>-. <d g,>-. <d g,>-. <d g,>8-. r |
    r <b d,>-. <b d,>-. r <b d,>-. <d g,>16-. <d g,>-. <d g,>-. <d g,>-. <d fis,>8-. r |
    r <b d,>-. <b d,>-. r <b d,>-. <d g,>16-.\mp\< <d g,>-. \repeat tremolo 6 <d g,> |
    \time 5/4
    <e g,>8-.->\!\sf <g c,>16-.\f <g c,>-. <g c,>8-. <e g,>-. <a c,>-. <g c,>4 ~ <g c,>8-. r4 |
    r2 r8 <g c,>16-. <g c,>-. <g c,>8-.-> <e g,>-. r4 |
    r2 r4 <a, a,>16-. <a a,>-. <a a,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    r8 a-.\mp^"III" a-. r a-. r a-. a-. r a-. |
    r b-. b-. r b-. r b-. b-. r b-. |
    r b-. b-. r a-. r b-. b-. r b-. |
    << { r a-.\< a-. r a-. r b-. b-. r b-.\! } \\ { r2 r4 fis8-. fis-. r fis-. } >> |
    <b e,>2.\f ~ <b e,>2 |
    r8 <b e,>-. <b e,>-. r <a e>-. r <b e,>-.\> <b e,>-. r <a e>-.\!\mp |
    R1*5/4*6 |
    \time 3/4
    R2.*5 |
    ais4->\mf^"III" fis8-.-> ais-.-> ais4-> |
    R2. |
    fis2\p\<  ~  fis8 fis-. |
    \time 5/4
    f2.\!^\markup { \bold \italic \dynamic "f" "sub." \dynamic "mp" } ~ f2 ~ |
    f2.\< ~ f2 |
    f2\!\mf ~ f8 fis ~ fis2 |
    <b d,>2 ~ <b d,>8 <d fis,>4 <b d,>8-. <e fis,>-. <d fis,>-. |
    <e b>2.\mp ~ <e b>2\< |
    <cis g>2. ~ <cis g>2 |
    \time 9/8
    <d fis,>8-.\!\f q-. q-. r q-. q16-. q-. q-. q-. q8-. <cis g>-.-> |
    <d fis,>-.-> q-. q-. r q-. q16-. q-. q-. q-. <cis g>8-. <cis g>-.-> |
    <d fis,>-.-> q-. q-. r q-. q16-. q-. q-. q-. q8-. <cis g>-.-> |
    <d fis,>-.-> q-. q-. r q-. q16-. q-. q-. q-. <cis g>8-. <cis g>-.-> |
    <d fis,>16-. q-. q-. q-. q8-. q16-. q-. q-. q-. <cis g>8-. <d fis,>16-. q-. q-. q-. q8-. |
    q4 <cis g>8-. <d fis,>4 q8-. q4 <cis g>8-. |
    <d fis,>2. ~ <d fis,>4.\> |
    <a d,>2. ~ <a d,>4. |
    <fis a,>2. ~ <fis a,>4. ~ |
    <fis a,>2.\!\p ~ <fis a,>4. |
    R1*9/8 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  trumpetI = \relative c''' {
    \clef treble \key d \major \time 3/4
    \transposition bes
    <a fis>4\f <fis d> <b fis>8-. <a fis>->\> ~ |
    <a fis>2\!\mp ~ <a fis>4\< ~ |
    <a fis>4. ~ <a fis>8-.\!\ff r4 |
    <ais fis>\f <fis cis> <cis' ais>8-. <ais fis>->\> ~ |
    <ais fis>2\!\mp ~ <ais fis>4\< ~ |
    <ais fis>4. ~ <ais fis>8-.\!\ff r4 |
    \time 5/4
    << { a2.\p\< ~ a2 ~ |
        \grace { a16([ b cis] } d8-.->)\!\sf } \\
      { f,2. ~ f2 |
        fis8-.-> } >> r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*4 |
    << { a8-.\p\<^"I" b-. a-. b-. a-. b-. a-. b-. a-. b-.->\! } \\
      { r2 r4 r r8 g-.-> } >> |
    \time 9/8 <a fis>-.->\sf r r r4 d,16-.\f^"I" e-. d-. b-. a8-. r |
    r4 r8 r4 d16-. e-. fis-. d-. e8-. r |
    r4 r8 r4 r8 r a,16-.\mf\< b-. d-. fis-. |
    \time 5/4
    b8-.->\!\sf r r4 r2 <d, b>16-.\f <d b>-. <d b>8-. |
    <b g>-. <e b>-. <d b>4 ~ <d b>8-. r r4 <f d>16-. <f d>-. <f d>8-.-> |
    <d bes>-. r r4 b16-.\mf^"I" b-. b8-.-> e16-.\f e-. e8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*17 |
    \time 3/4
    R2.*7 |
    r8 \mute <aes f>16\mf^\mut <aes f> <aes f>8-. <f des>-. <f des>-. <aes f>-. |
    \time 5/4
    <a f>-.\!\f r r4 r r2 |
    R1*5/4 |
    <a f>2.\mf ~ <a f>2 |
    <a fis>4 <fis cis>8-. <b fis>-. <a fis>4\> ~ <a fis>2\!\mp |
    \tpopen R1*5/4 |
    <e d>16\mf\<^\opn q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <a cis,>-.\!\f r r r4 <a cis,>16-. <b cis,>-. <a cis,>-. <fis cis>-. <e cis>8-. r |
    r4 r8 r4 <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. r |
    r4 r8 r4 <a cis,>16-. <b cis,>-. <a cis,>-. <fis cis>-. <e cis>8-. r |
    r4 r8 r4 <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. r |
    r4 r8 <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. r4 r8 |
    <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. <e e,>16-. <fis fis,>-. a,-.^"a2" cis-. e8-. |
    <a e>8-. r r r4 r8 r4 r8 |
    R1*9/8*4 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  trumpetII = \relative c'' {
    \clef treble \key d \major \time 3/4
    \transposition bes
    d4\f a d8-. d->\> ~ |
    d2\!\mp ~ d4\< ~ |
    d4. ~ d8-.\!\ff r4 |
    cis\f ais fis'8-. cis->\> ~ |
    cis2\!\mp ~ cis4\< ~ |
    cis4. ~ cis8-.\!\ff r4 |
    \time 5/4
    cis2.\p\< ~ cis2 |
    d8-.->\!\sf r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*4 |
    r2 r4 r r8 cis-.->\f |
    \time 9/8 d-.->\sf r r r4 r8 r4 r8 |
    R1*9/8 | R1*9/8 |
    \time 5/4 r2 r4 r g,16-.\f g-. g8-. |
    d-. g-. g4 ~ g8-. r r4 bes16-. bes-. bes8-.-> |
    f-. r r4 r r2^\fermataMarkup \bar "||"
    R1*5/4*17 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4*4 |
    b2.\mp ~ b2\< |
    b16 b b8-. b-. b-. b-. b16 b b8-. b-. b-. b-. |
    \time 9/8
    cis-.\!\f r r r4 r8 r4 r8 |
    R1*9/8*10 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  trombones = \relative c' {
    \clef tenor \key c \major \time 3/4
    e4\f^"I" c e8-. << { e->\> ~ |
        e2\!\mp ~ e4\< ~ |
        e4. ~ e8-.\!\ff } \\
      { s8 | r2 r8 g, ~ |
        g4. ~ g8-. } >> r4 
    e'4\f^"I" b gis'8-. << { e->\> ~ |
        e2\!\mp ~ e4\< ~ |
        e4. ~ e8-.\!\ff } \\
      { s8 | r2 r8 gis, ~ |
        gis4. ~ gis8-. } >> r4 |
    \time 5/4
    <dis' g,>2.\p\< ~ <dis g,>2 ~ |
    <e g,>8-.\!\sf r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*4 |
    <f b,>8-.\p\< <f b,>-. <f b,>-. <f b,>-. <f b,>-. <f b,>-. <f b,>-. <f b,>-. <f b,>-. <f b,>-.-> |
    \time 9/8 <e g,>-.->\!\sf r r r4 <e g,>16-.\f <e g,>-. <e g,>-. <e g,>-. <e g,>8-. r |
    r4 r8 r4 <e g,>16-. <e g,>-. <e g,>-. <e g,>-. <d g,>8-. r |
    r4 r8 r4 <e g,>16-.\mp\< <e g,>-. \repeat tremolo 6 <e g,> |
    \time 5/4
    <f a,>8-.->\!\sf r r4 r8 <f a,>4\mf\< ~ <f a,>8-.\!\sf r4 |
    r <f a,>\mf\< ~ <f a,>8-.\!\sf r r2 |
    R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4*4 |
    <g a,>2.\mp ~ <g a,>2\< |
    <d a>2. ~ <d a>2 |
    \time 9/8
    <d g,>8-.\!\f r r r4 << { d16-. d-. d-. e-. d8-. } \\ { r r4 } >> <d a>8-.-> |
    <d g,>-.-> r r r4 << { d16-. d-. d-. d-. d8-. } \\ { r r4 } >> <d a>8-.-> |
    <d g,>-.-> r r r4 << { d16-. d-. d-. e-. d8-. } \\ { r r4 } >> <d a>8-.-> |
    <d g,>-.-> r r r4 << { d16-. d-. d-. d-. d8-. } \\ { r r4 } >> <d a>8-.-> |
    <d g,>16-. q-. q-. q-. q8-. q16-. q-. q-. q-. <d a>8-. <d g,>16-. q-. q-. q-. q8-. |
    q4 <d a>8-. <d g,>4 q8-. q4 <d a>8-. |
    <d g,>2.\> ~ <d g,>4. ~ |
    <d g,>8-.\!\mp r r r4 r8 r4 r8 |
    R1*9/8*3 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  tuba = \relative c, {
    \clef bass \key c \major \time 3/4
    R2. |
    r2 r8 <c c'>\mp\< ~ |
    <c c'>4. ~ <c c'>8-.\!\ff r4 |
    R2. |
    r2 r8 <e e'>\mp\< ~ |
    <e e'>4. ~ <e e'>8-.\!\ff r4 |
    \time 5/4
    <g, g'>2.\p\< ~ <g g'>2 |
    <c c'>8-.\!\sf r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*4 |
    <g' g,>8-.\p\< <d d'>-. <g g'>-. <d d'>-. <g g'>-. <d d'>-. <g g'>-. <d d'>-. <g g'>-. <g, g'>-.-> |
    \time 9/8
    <c c'>-.->\!\sf r r r4 <g g'>8-.\f <g g'>-. <c c'>-. <g g'>-.-> |
    <c c'>-.-> r r r4 <c c'>8-. <c c'>-. <g g'>-. <g g'>-.-> |
    <c c'>-.-> r r r4 <c c'>8\p\< ~ <c c'>4. |
    \time 5/4
    <f f'>8-.->\!\sf r r4 r8 <f f'>4\mf\< ~ <f f'>8-.\!\sf r4 |
    r <f f'>\mf\< ~ <f f'>8-.\!\sf r r2 |
    R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*8 |
    <d d'>8-.\p r r <e e'>-. r <b b'>-.\< r4 <e e'>8-. r |
    <a, a'>2.\mf ~ <a a'>2 |
    <d d'>8-.\> r r <a a'>-. r <d d'>-. r4 <d d'>8-.\!\p r |
    R1*5/4*6 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4*4 |
    <c c'>2.\mp ~ <c c'>2\< |
    <d d'>4 q8-. q-. q-. q4 q8-. q-. q-. |
    \time 9/8
    <g, g'>-.\!\f r r <d' d'>-. r <d d'>-. <d d'>-. <g g'>-. <d d'>-.-> |
    <g, g'>-.-> r r <d' d'>-. r <g g'>-. <g g'>-. <d d'>-. <d d'>-.-> |
    <g, g'>-.-> r r <d' d'>-. r <d d'>-. <d d'>-. <g g'>-. <d d'>-.-> |
    <g, g'>-.-> r r <d' d'>-. r <g g'>-. <g g'>-. <d d'>-. <d d'>-.-> |
    <g, g'>8-. <g g'>-. <g g'>-. <d' d'>-. <d d'>-. <d d'>-. <g, g'>-. <g g'>-. <g g'>-. |
    <g' g'>4-> <d d'>8-> <e e'>4-> <d d'>8-> <b b'>4-> <a a'>8-> |
    <g g'>2.->\> ~ <g g'>4. ~ |
    <g g'>2. ~ <g g'>4.\!\p |
    R1*9/8*3 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  timpani = \relative c {
    \clef bass \key c \major \time 3/4
    R2. |
    r4 r8 \repeat tremolo 12 c32\mp |
    \repeat tremolo 12 c\< c8\!\f r4 |
    R2. |
    r4 r8 \repeat tremolo 12 e32\mp |
    \repeat tremolo 12 e\< e8\!\f r4 |
    \time 5/4
    \repeat tremolo 24 g,32\p\< \repeat tremolo 16 g |
    c8->\!\f r r4 r r2 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*3 |
    g4.\mf d'4 g,4. d'4 |
    g,8\mp\< d' g, d' g, d' g, d' g, g-> |
    \time 9/8
    c4.->\!\sf g4\f g16 g g g c8 g-> |
    c4.-> g4 c16 c c c g8 g-> |
    c4.-> g4 \repeat tremolo 4 c32\p\< \repeat tremolo 12 c |
    \time 5/4
    f8->\!\sf r r4 r8 \repeat tremolo 8 f32\mp\< f8\!\f r4 |
    r \repeat tremolo 8 f32\mp\< f8\!\f r r2 |
    r2 d16\mf d d8 d16\f d d8->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*9 |
    \repeat tremolo 12 a32\mf e'4 a,4. a4 |
    d4. a4\> d4. d4\!\p |
    R1*5/4*6 |
    \time 3/4
    R2.*7 |
    r2 r8 b\f |
    \time 5/4
    ees4. bes4\mf ees4. bes4 |
    ees4.\< bes4 ees4. bes4 |
    ees4.\!\f bes4 ees4. b4 |
    e4. b4 e4.\> e4\! |
    R1*5/4 |
    d4\mf\< d8 d d d4 d8 d d |
    \time 9/8
    g,4.\!\f d'4 d16 d d d g,8 d'-> |
    g,4.-> d'4 g,16 g g g d'8 d-> |
    g,4. d'4 d16 d d d g,8 d'-> |
    g,4.-> d'4 g,16 g g g d'8 d-> |
    g,16 g g g g8 d'16 d d d d8 g,16 g g g g8 |
    d'4 d8 g,4 d'8 d4 d8 |
    \repeat tremolo 24 g,32\> \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g\!\p \repeat tremolo 12 g |
    R1*9/8 |
    \time 5/4
    g16 g g8 g g g g16 g g8 g g g |
    g16\> g g8 g g g g r2 |
    g4\!\pp r r r2^\fermataMarkup \bar "||"
  }

  toms = \relative c' {
    \clef percussion \time 3/4
    R2.*6 |
    \time 5/4 R1*5/4 | R1*5/4 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*5 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4*6 |
    \time 9/8
    R1*9/8*11 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  trian = \relative c' {
    \clef percussion \time 3/4
    R2.*6 |
    \time 5/4 R1*5/4 | R1*5/4 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*5 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 r2 r8 c4:32\mp\< c8\!\f r4 |
    r c:32\mp\< c8\!\f r r2 |
    r2 r4 c16\f c c8->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    b2.\mp r2 | R1*5/4*3 |
    b4.:32\f b8\laissezVibrer r4 r2 |
    b2. r2 |
    R1*5/4*6 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4*6 |
    \time 9/8
    R1*9/8 |
    c4.\f r4 r8 r4 r8 |
    c4. r4 r8 r4 r8 |
    c4. r4 r8 r4 r8 |
    R1*9/8*7 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  tree = \relative c' {
    \clef percussion
    R2.*6 | R1*5/4 | R1*5/4 |
    R1*9/8*3 | R1*5/4*5 |
    R1*9/8*3 | R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 | R2.*8 | R1*5/4*6 |
    R1*9/8*11 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  cym = \relative c' {
    \clef percussion
    R2.*6 | R1*5/4 | R1*5/4 |
    R1*9/8*3 | R1*5/4*5 |
    R1*9/8*3 | R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 | R2.*8 | R1*5/4*6 |
    R1*9/8*6 |
    c2.\f r4 r8 |
    R1*9/8*4 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  tamb = \relative c' {
    \clef percussion
    R2.*6 | R1*5/4 | R1*5/4 |
    R1*9/8*3 | R1*5/4*5 |
    R1*9/8*3 | R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 | R2.*7 |
    r2 c8\f c |
    c c\mf c r c r c c r c |
    r c\< c r c r c c r c |
    c2.:32\!\fp\< ~ c2: ~ |
    c2.:32\!\> ~ c2:32\!\p |
    R1*5/4 | R1*5/4 |
    r8 c\f c r c r r4 c8:32 |
    c-> c c r c r r4 c8: |
    c-> c c r c r r4 c8: |
    c-> c c r c r r4 c8: |
    c-> r r c4: c8-> r4 r8 |
    c4: c8-> c4: c8-> c4: c8-> |
    c-> r r r4 r8 r4 r8 |
    R1*9/8*4 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  snare = \relative c' {
    \clef percussion
    R2.*6 |
    r2 r8 c:32\p\< ~ c2: |
    c8->\!\f r r4 r r2 |
    R1*9/8 | R1*9/8 |
    r4 r8 r4 c16\p\< c c4.:16 |
    \time 5/4 c8->\!\sf r r4 r r2 |
    R1*5/4*4 | R1*9/8 | R1*9/8 |
    r4 r8 r4 c16\mf\< c c4.:16 |
    \time 5/4
    c8->\!\sf r r4 r r2 |
    R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 | R2.*8 | R1*5/4*4 |
    c16\mp c c8 c c c c16\< c c8 c c c |
    c16 c c8 c c c c16 c c8 c c c |
    c8\!\f r r r4 c16 c c c c8 r |
    r4 r8 r4 c16 c c c c8 r |
    r4 r8 r4 c16 c c c c8 r |
    r4 r8 r4 c16 c c c c8 r |
    R1*9/8*7 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  bsdrum = \relative c' {
    \clef percussion
    R2.*6 | R1*5/4 | R1*5/4 |
    R1*9/8*3 | R1*5/4*5 |
    R1*9/8*3 | R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*17 | R2.*8 | R1*5/4*6 |
    \time 9/8
    c4\f r8 r4 r8 r4 c8 |
    c4 r8 r4 r8 r4 c8 |
    c4 r8 r4 r8 r4 c8 |
    c4 r8 r4 r8 r4 c8 |
    c4 r8 r4 r8 r4 r8 | R1*9/8 |
    c4.-> r4 r8 r4 r8 |
    R1*9/8*4 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  midiperc = <<
    \new DrumVoice = "tri-cym" {
      \drummode {
    R2.*6 |
    r2 r8 \repeat tremolo 12 sn32\p\< \repeat tremolo 8 sn |
    sn8\!\f r r4 r r2 |
    R1*9/8*2 |
    r4 r8 r4 sn16\p\< sn sn sn sn sn sn sn |
    \time 5/4
    sn8\!\sf r r4 r r2 | R1*5/4*4 |
    R1*9/8*2 |
    r4 r8 r4 sn16\mf\< sn sn sn sn sn sn sn |
    \time 5/4
    sn8\!\sf r r4 r8 \repeat tremolo 8 trio32\mp\< trio8\!\f r4 |
    r \repeat tremolo 8 trio32\mp\< trio8\!\f r r2 |
    r2 r4 trio16\f trio trio8 r4^\fermataMarkup \bar "||"
    R1*5/4*5 |
    trio2.\mf r2 | R1*5/4*3 |
    \repeat tremolo 12 trio32\f trio4. r2 |
    trio2. r2 |
    R1*5/4*6 |
    \time 3/4
    R2.*7 | r2 tamb8\f tamb |
    \time 5/4
    tamb tamb\mf tamb r tamb r tamb tamb r tamb |
    r tamb\< tamb r tamb r tamb tamb r tamb |
    \repeat unfold 40 tamb32\fp\< |
    \repeat unfold 38 tamb\> tamb16\!\mf |
    sn16\mp\< sn sn8 sn sn sn sn16 sn sn8 sn sn sn |
    sn16 sn sn8 sn sn sn sn16 sn sn8 sn sn sn |
    sn\!\f r r r4 sn16 sn sn sn sn8 r |
    trio4 r8 r4 sn16 sn sn sn sn8 r |
    trio4 r8 r4 sn16 sn sn sn sn8 r |
    trio4 r8 r4 sn16 sn sn sn sn8 r |
    R1*9/8*2 |
    cymca2.\f r4 r8 |
    R1*9/8*4 |
    \time 5/4
    R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    }
  }
    \new DrumVoice = "sn" {
      \drummode {
    s2.*6 | s1*5/4 | s1*5/4 |
    s1*9/8*3 | s1*5/4*5 |
    s1*9/8*3 | s1*5/4 | s1*5/4 | s1*5/4 |
    s1*5/4*17 | s2.*8 | s1*5/4*6 |
    s8 tamb\f tamb s tamb s4. \repeat unfold 4 tamb32 |
    tamb8 tamb tamb s tamb s4. \repeat unfold 4 tamb32 |
    tamb8 tamb tamb s tamb s4. \repeat unfold 4 tamb32 |
    tamb8 tamb tamb s tamb s4. \repeat unfold 4 tamb32 |
    tamb8 r r \repeat unfold 8 tamb32 tamb8-> r4 r8 |
    \repeat unfold 8 tamb32 tamb8 \repeat unfold 8 tamb32 tamb8 \repeat unfold 8 tamb32 tamb8 |
    tamb s1 | s1*9/8*4 | s1*5/4*3 |
    }
  }
    \new DrumVoice = "bd" {
      \drummode {
    s2.*6 | s1*5/4 | s1*5/4 |
    s1*9/8*3 | s1*5/4*5 |
    s1*9/8*3 | s1*5/4 | s1*5/4 | s1*5/4 |
    s1*5/4*17 | s2.*8 | s1*5/4*6 |
    bd4\f s2. bd8 |
    bd4 s2. bd8 |
    bd4 s2. bd8 |
    bd4 s2. bd8 |
    bd4 s8 s2. | s1*9/8 |
    bd4. s2. | s1*9/8*4 | s1*5/4*3 |
    }
  }
  >>

  glock = \relative c'' {
    \clef treble \key c \major \time 3/4
    \transposition c'''
    R2.*6 |
    \time 5/4 R1*5/4 | R1*5/4 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4*5 |
    \time 9/8 R1*9/8*3 |
    \time 5/4 R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*10 |
    r8 e\f b d a b\> g a e d\!\mp |
    R1*5/4*6 |
    \time 3/4
    R2.*8 |
    \time 5/4
    R1*5/4 | R1*5/4 |
    r8 ees\f f g bes c g b ees f |
    g4 e a8 g b, d e g |
    R1*5/4 | R1*5/4 |
    \time 9/8
    R1*9/8 | R1*9/8 |
    r8 d\f b e d r r4 r8 |
    r8 d b e d r r4 r8 |
    r4 r8 d,4 d'8 r4 r8 |
    d,4 d'8 d,4 d'8 d,4 d'8 |
    <b g>4. r4 r8 r4 r8 |
    R1*9/8*4 |
    \time 5/4
    b4\p r r r2 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  harprh = \relative c' {
    \clef treble \key c \major \time 3/4
    \showStaffSwitch
    R2.*6 |
    \time 5/4 R1*5/4 | R1*5/4 |
    \time 9/8 R1*9/8*3 | \time 5/4 R1*5/4*5 |
    \time 9/8 R1*9/8*3 | \time 5/4 R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*8 |
    R1*5/4_\markup { \harp-pedal #"^^-|-^--" } |
    s1*5/4 |
    R1*5/4*7_\markup { \harp-pedal #"vv-|-vv-" } |
    \time 3/4
    R2.*7 |
    r4 r8 \tag #'score { \autoBeamOff b32[\mf\< cis dis e fis gis a32*6]\glissando |
      \time 5/4
      \autoBeamOn dis'4\!\f r r r2 | }
    \tag #'midi { \times 12/16 { b,,32\mf\< cis dis e fis gis a b cis dis e fis gis a b cis } |
      \time 5/4
      dis4\!\f r r r2 | }
    R1*5/4*5_\markup { \harp-pedal #"---|-v--" }  |
    \time 9/8
    R1*9/8*11 |
    \time 5/4
    <g,, b,>2.\laissezVibrer r2 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  harplh = \relative c {
    \clef bass \key c \major
    \showStaffSwitch
    R2.*6 | R1*5/4 | R1*5/4 |
    R1*9/8*3 | R1*5/4*5 |
    R1*9/8*3 | R1*5/4 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
    R1*5/4*9 |
    \tag #'score { a32\mf\<^\gliss b ces des e fes g a32*13\glissando \str \headsOn b'''8*4\!\>\glissando \stl a,,,,8\! \headsOff | }
    \tag #'midi { \times 20/30 { a16\mf\< b32 b cis e e g a b b cis e e g a b b cis e e g a b b cis e e g a }
      \times 16/25 { b\!\f\> a g e e cis b b a g e e cis b b a g e e cis b b a g e } e64 cis b b a16\!\mf | }
    R1*5/4*7 |
    R2.*8 | R1*5/4*6 |
    R1*9/8*11 |
    \time 5/4
    <g d'>2.\laissezVibrer r2 | R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  dynamics = {
    s2.*6 | s1*5/4*2 |
    s1*9/8*3 | s1*5/4*5 |
    s1*9/8*3 | s1*5/4*3 \bar "||"
    s1*5/4*17 | s2.*8 | s1*5/4*6 |
    s1*9/8*11 | s1*5/4*3\p \bar "||"
  }

  violinI = \relative c''' {
    \clef treble \key c \major \time 3/4
    R2. | R2. |
    r8 g16\f\< a c e g8-.->\!\ff r4 |
    R2. | R2. |
    r8 gis,16\f\< b cis e gis8-.->\!\ff r4 |
    \time 5/4
    \tag #'score { r2 r8 g,\mp\<\startTrillSpan ~ g2\stopTrillSpan |
    \grace { g16([ a b] } c8-.->)\!\sf r r4 r r2 | }
    \tag #'midi { r2 r8 \repeat unfold 9 { g32\mp\< a } \times 2/3 { g a b } |
    c8-.->\!\sf r r4 r r2 | }
    \time 9/8 R1*9/8 | R1*9/8 |
    r4 r8 r4 r8 r g16\mf\< a c e |
    \time 5/4
    <a c,>8-.->\!\sf r r4 r r2 |
    R1*5/4 | R1*5/4 |
    r8 g-.\f d-. a'-. g-. r g-. d-. a'-. g-. |
    <g b,>-.\mf\< <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-. <g b,>-. <a d,>-.-> |
    \time 9/8 <g c,>-.->\!\sf g-.\f e-. a-. g-. c,16-. d-. c-. a-. g8-. r |
    r g'-. e-. a-. g-. c,16-. d-. e-. c-. d8-. r |
    r g-. e-. a-. g-. r r g,16\mf\< a c e |
    \time 5/4
    <a c,>8-.->\!\sf r r4 r8 a,16\mf\< c d f <a c,>8-.->\!\sf r4 |
    r a,16\mf\< c d f <a c,>8-.->\!\sf r r2 |
    r2 <a, d,>16-.\f <a d,>-. <a d,>8-.-> <d fis,>16-. <d fis,>-. <d fis,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*4 |
    r2 r4 r \times 4/7 { d,16(\mp\< e fis g a b c) } |
    d4(\!\mf e d8) b( d, e g b) |
    d4( g d8) e( b\< d e g) |
    a4(\!\f g8 d g e) e,(\mp\< g a b |
    d)\! g,(\< a b d e)\! b(\< d e g) |
    b2.\!\f ~ b8 a4( g8) |
    d2.\> ~ d2\!\mp |
    \vnsolo d,4(^"Solo" f c8) d( d,-.) f-. g-. bes-. |
    d4( g f8) d( g,-.) bes-. c-. d-. |
    bes'( c-.) g-. bes-> ~ bes4. g16 bes f g d f |
    g8-. d,16 f c d f g bes c d8-. c16 d bes c g bes c d |
    g8-. f16 g d f c d f g bes8-. \times 4/5 { ees,,16\< f g bes c } \times 4/5 { ees f g bes c } |
    \tag #'score { d2.\startTrillSpan\!\f\> ~ d2\stopTrillSpan\!\mp | }
    \tag #'midi { \repeat unfold 19 { d32\!\f\> e } d16\!\mp | }
    \time 3/4
    \tutti R2.^"Tutti" |
    r4 r8 d,16\mp\< e g b d8-.->\!\mf |
    R2. |
    r4 r8 d,16\mp\< e g b d8-.->\!\mf |
    R2. |
    r4 r8 fis,16\mf\< gis b dis fis8-.->\!\f |
    R2. |
    r4 r8 fis,16\mf\< gis b cis dis fis |
    \time 5/4
    g8-.\!\f r bes,,4(\mf c8 ees) bes( c4 ees8 |
    g)\< ees( f g bes c) g( bes c ees)\! |
    << { g2.\f ~ g2 } \\ { bes,2( ~ bes8 b ~ b2) } >> |
    <g' g,>2 ~ <g g,>8 <e g,> ~ <e g,>4 <b g> |
    <a e>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <d d,>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <d d,>16\!\f d d8-. b-. e-. d-. g,16 a g e d8-. r |
    d'16 d d8-. b-. e-. d-. d,16 e g b <d fis,>8-. r |
    d16 d d8-. b-. e-. d-. g,16 a g e d8-. r |
    d'16 d d8-. b-. e-. d-. d,16 e g b <d fis,>8-. r |
    g,16 a g e d8-. d16 e g b <d fis,>8-. g,16 a g e d8-. |
    d16 e g b <d fis,>8-. d,16 e g b <d g,>8-. d,16 e g b <d fis,>8-. |
    \tag #'score { b4\trill b8-. g4\trill g8-.\> d4\trill d8-. |
      b4\trill b8-. g4\trill g8-. d4\trill d8-.\! | }
    \tag #'midi { \repeat unfold 4 { b''32 c } b8-. \repeat unfold 4 { g32\> a } g8-. \repeat unfold 4 { d32 e } d8-. |
      \repeat unfold 4 { b32 c } b8-. \repeat unfold 4 { g32 a } g8-. \repeat unfold 4 { d32 e } d8-.\!\mp | }
    R1*9/8*3 |
    \time 5/4
    \pizz <g b,>4\p^\piz \arco r r r2 |
    R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  violinII = \relative c'' {
    \clef treble \key c \major \time 3/4
    R2. |
    r2 r8 g16\mf\< a |
    c e g, a c e g8-.->\!\ff r4 |
    R2. |
    r2 r8 gis,16\mf\< b |
    cis e gis, b cis e gis8-.->\!\ff r4 |
    \time 5/4
    R1*5/4 |
    r8 <e, g,>-.\p^\div <e g,>-. r <e g,>-. r <e g,>-. <e g,>-. r <e g,>-. |
    \time 9/8 r <e g,>-. <e g,>-. r <e g,>-. r r4 r8 |
    r <e g,>-. <e g,>-. r <e g,>-. r r4 r8 |
    r <e g,>-. <e g,>-. r <e g,>-. g16\p\<^\unis a c e g, a c e |
    \time 5/4
    <a c,>8-.->\!\sf r r4 r r2 |
    R1*5/4 | R1*5/4 |
    r8 g-.\f d-. a'-. g-. r g-. d-. a'-. g-. |
    g-.\mf\< a-. g-. a-. g-. a-. g-. a-. g-. <a b,>-.-> |
    \time 9/8 <g c,>-.->\!\sf g-.\f e-. a-. g-. c,16-. d-. c-. a-. g8-. r |
    r g'-. e-. a-. g-. c,16-. d-. e-. c-. d8-. r |
    r g-. e-. a-. g-. g,16\mp\< a c e g, a c e |
    \time 5/4
    <a c,>8-.->\!\sf r r4 r8 a,16\mf\< c d f <a c,>8-.->\!\sf r4 |
    r a,16\mf\< c d f <a c,>8-.->\!\sf r r2 |
    r2 <fis a,>16-.\f <fis a,>-. <fis a,>8-.-> <a d,>16-. <a d,>-. <a d,>8-.->\sf r4^\fermataMarkup \bar "||"
    R1*5/4*4 |
    r2 r4 r \times 4/7 { d,,16(\mp\< e fis g a b c) } |
    d4(\!\mf e d8) b( d, e g b) |
    d4( g d8) e( b\< d e g) |
    a4(\!\f g8 d g e) e,(\mp\< g a b |
    d)\! g,(\< a b d e)\! b(\< d e g) |
    b2.\!\f ~ b8 a4( g8) |
    d2.\> ~ d2\!\mp |
    r8 <g, bes,>-.\p <g bes,>-. r <g bes,>-. r <g bes,>-. <g bes,>-. r <g bes,>-. |
    r <g bes,>-. <g bes,>-. r <g bes,>-. r <g bes,>-. <g bes,>-. r <g bes,>-. |
    r <g bes,>-. <g bes,>-. <g bes,>-. <g bes,>-. r <g bes,>-. <g bes,>-. <g bes,>-. <g bes,>-. |
    <g bes,>16-. <g bes,>-. <g bes,>8-. <g bes,>-. <g bes,>-. <g bes,>-. <g c,>16-. <g c,>-. <g c,>8-. <g c,>-. <g c,>-. <g c,>-. |
    <f a,>16-. <f a,>-. <f a,>8-. <f a,>-. <f a,>-. <f a,>-. <g bes,>16-.\< <g bes,>-. <g bes,>8-. <g bes,>-. <g bes,>-. <g bes,>-. |
    r <fis a,>-.\!\mf <fis a,>-. r <fis a,>-. r c-. c-. r c-. |
    \time 3/4
    g'16\p a g e d8-. g16 a g e d8-. |
    d16\< b d e g b d, e g b d8-.->\!\mf |
    g,16\p a g e d8-. g16 a g e d8-. |
    d16\< b d e g b d, e g b d8-.->\!\mf |
    b16\mp cis b gis fis8-. b16 cis b gis fis8-. |
    fis16\< dis fis gis b dis fis, gis b dis fis8-.->\!\mf |
    b,16\mp cis b gis fis8-. b16 cis b gis fis8-. |
    fis16\< dis fis gis b dis fis, gis b cis dis fis |
    \time 5/4
    g8-.\!\f r bes,,4(\mf c8 ees) bes( c4 ees8 |
    g)\< ees( f g bes c) g( bes c ees)\! |
    << { g2.\f ~ g2 } \\ { bes,2( ~ bes8 b ~ b2) } >> |
    <b' e,>2 ~ <b e,>8 <e, g,> ~ <e g,>2 |
    <g a,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <fis a,>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <g b,>16\!\f <g d> <g d>8-. <g b,>-. <g e>-. <g d>-. g,16 a g e d8-. r |
    <g' d>16 q q8-. <g b,>-. <g e>-. <g d>-. d,16 e g b <d a>8-. r |
    <g d>16 q q8-. <g b,>-. <g e>-. <g d>-. g,16 a g e d8-. r |
    <g' d>16 q q8-. <g b,>-. <g e>-. <g d>-. d,16 e g b <d a>8-. r |
    g,16 a g e d8-. d16 e g b <d a>8-. g,16 a g e d8-. |
    d16 e g b <d a>8-. d,16 e g b <d g,>8-. d,16 e g b <d a>8-. |
    <g d>4^\div ~ <g d>8-. <d b>4\> ~ <d b>8-. <b g>4 ~ <b g>8-. |
    <g d>4 ~ <g d>8-. <d b>4 ~ <d b>8-. <b g>4 ~ <b g>8-. |
    \repeat tremolo 24 <d g,>32 \repeat tremolo 12 <d g,> |
    \repeat tremolo 24 <d g,>\!\p \repeat tremolo 12 <d g,> |
    \repeat tremolo 24 <d b> \repeat tremolo 12 <d b> |
    \time 5/4
    <d b>8-. r r4 r r2 |
    R1*5/4 | R1*5/4^\fermataMarkup \bar "||"
  }

  viola = \relative c' {
    \clef alto \key c \major \time 3/4
    R2. |
    r4 r8 g16\mf a c e g,\< a |
    c e g a c, e g8-.->\!\ff r4 |
    R2. |
    r4 r8 gis,16\mf b cis e gis,\< b |
    cis e gis b cis, e gis8-.->\!\ff r4 |
    \time 5/4
    \tag #'score { r2 r8 g\mp\<\startTrillSpan ~ g2\stopTrillSpan |
    \grace { g16([ a b] } c8-.->)\!\sf r r4 r r2 | }
    \tag #'midi { r2 r8 \repeat unfold 9 { g32\mp\< a } \times 2/3 { g a b } |
    c8-.->\!\sf r r4 r r2 | }
    \time 9/8 r4 r8 r4 c,16-.\f d-. c-. a-. g8-. r |
    r4 r8 r4 c16-. d-. e-. c-. d8-. r |
    r4 r8 r4 <e g,>16\p\< <e g,> \repeat tremolo 6 <e g,> |
    \time 5/4
    <f a,>8-.->\!\sf <f a,>-.\p^\div <f a,>-. r <f a,>-. r <f a,>-. <f a,>-. r <f a,>-. |
    r <fis a,>-.\mp <fis a,>-. r <fis a,>-. r <fis a,>-. <fis a,>-. r <fis a,>-. |
    r <f d>-.\mf <f d>-. r <f d>-. r <d aes>-. <d aes>-. r <d aes>-. |
    r <g b,>-.\f^\unis <g b,>-. r <g b,>-. r <g b,>-. <g b,>-. r <g b,>-. |
    <g b,>-.\mf\< <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-. <g b,>-. <a b,>-.-> |
    \time 9/8 <g c,>-.->\!\sf <e g,>-.\f <e g,>-. r <e g,>-. <e g,>16-. <e g,>-. <e g,>-. <e g,>-. <e g,>8-. r |
    r <e g,>-. <e g,>-. r <e g,>-. <e g,>16-. <e g,>-. <e g,>-. <e g,>-. <d g,>8-. r |
    r <e g,>-. <e g,>-. r <e g,>-. <e g,>16\mp\< <e g,> \repeat tremolo 6 <e g,> |
    \time 5/4
    <f a,>8-.->\!\sf r r4 r8 <f a,>16\mf\< <f a,> <f a,> <f a,> <f a,>8-.->\!\sf r4 |
    r <f a,>16\mf\< <f a,> <f a,> <f a,> <f a,>8-.->\!\sf r <f a,>-.->\f r r <aes c,>-.-> |
    r4 <b dis,>8-.-> r <fis a,>16-. <fis a,>-. <fis a,>8-.-> <fis a,>16-. <fis a,>-. <fis a,>8-.->\sf r4^\fermataMarkup \bar "||"
    r8 <d b>-.\p^\div <b g>-. <e b>-. <d b>-. r <d b>-. <b g>-. <e b>-. <d b>-. |
    r <d b>-. <b g>-. <e b>-. <d b>-. r <d b>-. <b g>-. <e b>-. <d b>-. |
    r <d b>-. <b g>-. <e b>-. <d b>-. r <d b>-. <b g>-. <e b>-. <d b>-. |
    r <e b>-. <b g>-. <g' e>-. <e b>-. r <e b>-. <b g>-. <g' e>-. <e b>-. |
    r <e cis>-. <cis a>-. <g' cis,>-. <e cis>-. r <d a>-. <fis d>-. <e c>-. <d a>-. |
    r d,(\mf^\unis e g b4 ~ b8) e4( d8 |
    b) d,( e g b4) e( d8 b) |
    c4( d8) g( d e4) b8( d e) |
    g4(\< e8 d b) g( b a g e)\! |
    r <g' cis,>-.\f <g cis,>-. r <g cis,>-. r <g cis,>-. <g cis,>-. r <g cis,>-. |
    <fis a,>-. r r4 fis8(\> e4 d8 a d)\!\mp |
    r d-.\p d-. r d-. r d-. d-. r d-. |
    r d-. d-. r d-. r d-. d-. r d-. |
    r ees-. ees-. ees-. ees-. r d-. d-. d-. d-. |
    d16-. d-. d8-. d-. d-. d-. ees16-. ees-. ees8-. ees-. ees-. ees-. |
    d16-. d-. d8-. d-. d-. d-. ees16-.\< ees-. ees8-. ees-. ees-. ees-. |
    r c-.\!\mf c-. r c-. r fis,-. fis-. r fis-. |
    \time 3/4
    b16\p b b b b8-. b16 b b b b8-. |
    \repeat tremolo 8 { b16\< } b b b8-.\!\mf |
    b16\p b b b b8-. b16 b b b b8-. |
    \repeat tremolo 8 { b16\< } b b b8-.\!\mf |
    dis16\mp dis dis dis dis8-. dis16 dis dis dis dis8-. |
    \repeat tremolo 8 { dis16\< } dis dis dis8-.\!\f |
    dis16\mp dis dis dis dis8-. dis16 dis dis dis dis8-. |
    \repeat tremolo 12 { dis16\< } |
    \time 5/4
    ees8-.\!\f <ees g,>-.\mf <ees g,>-. r <ees g,>-. r <ees g,>-. <ees g,>-. r <ees g,>-. |
    r <ees g,>-.\< <ees g,>-. r <ees g,>-. r <ees g,>-. <ees g,>-. r <ees g,>-. |
    r <ees g,>-.\!\f <ees g,>-. r <ees g,>-. r <ees g,>-. <ees g,>-. r <ees g,>-. |
    r <e g,>-. <e g,>-. r <e g,>-. r <e g,>-. <e g,>-. r <e g,>-. |
    <e a,>16\mp q q8-. q-. q-. q-. q16\< q q8-. q-. q-. q-. |
    <fis c>16 q q8-. q-. q-. q-. q16 q q8-. q-. q-. q-. |
    \time 9/8
    <g b,>16\!\f q q8-. q-. r q-. q16 q q q q8-. r |
    q16 q q8-. q-. r q-. q16 q q q <fis c>8-. r |
    <g b,>16 q q8-. q-. r q-. q16 q q q q8-. r |
    q16 q q8-. q-. r q-. q16 q q q <fis c>8-. r |
    <g b,>16 q q q q8-. q16 q q q <fis c>8-. <g b,>16 q q q q8-. |
    q16 q q q <fis c>8-. <g b,>16 q q q q8-. q16 q q q <fis c>8-. |
    \repeat tremolo 24 <g b,>32\> \repeat tremolo 12 <g b,> |
    \repeat tremolo 24 <d g,> \repeat tremolo 12 <b d,> |
    \repeat tremolo 24 <b d,> \repeat tremolo 12 <b d,> |
    \repeat tremolo 24 <b d,>\!\p \repeat tremolo 12 <b d,> |
    <b d,>8-. r r r4 r8 r4 r8 |
    \time 5/4
    \repeat tremolo 24 <g' g,>32^\div \repeat tremolo 16 <g g,> |
    \repeat tremolo 24 <g g,> \repeat tremolo 16 <g g,> |
    \repeat tremolo 24 <g g,> \repeat tremolo 16 <g g,>^\fermataMarkup \bar "||"
  }

  cello = \relative c {
    \clef bass \key c \major \time 3/4
    R2. |
    r4 r8 c16\mf c \repeat tremolo 4 c\< |
    \repeat tremolo 6 c c8-.->\!\ff r4 |
    R2. |
    r4 r8 e16\mf e \repeat tremolo 4 e\< |
    \repeat tremolo 6 e e8-.->\!\ff r4 |
    \time 5/4
    r2 r8 g\mp\< ~ g2 |
    \grace { f16([ e d] } c8-.->)\!\sf r r g-.\p r c-. r4 g8-. r |
    \time 9/8 c-. r r g-. r g16-.\f g-. g-. g-. c8-. g-.\p |
    c-. r r g-. r c16-.\f c-. c-. c-. g8-. g-.\p |
    c-. r r g-. r c16\< c \repeat tremolo 6 c |
    \time 5/4 f8-.->\!\sf r r c-.\p r f-. r4 ees8-. r |
    d-.\mp r r a-. r d-. r4 c8-. r |
    bes-.\mf r r f-. r bes-. r4 aes8-. r |
    g-.\f r r d'-. r g-. r4 d8-. r |
    g-.\mf\< d-. g-. d-. g-. d-. g-. d-. g-. g,-.-> |
    \time 9/8 c-.->\sf r r g-.\f r g16-. g-. g-. g-. c8-. g-.-> |
    c-.-> r r g-. r c16-. c-. c-. c-. g8-. g-.-> |
    c-. r r g-. r c16\mp\< c \repeat tremolo 6 c |
    \time 5/4
    f8-.->\!\sf r r4 r8 f16\mf\< f f f f8-.->\!\sf r4 |
    r f16\mf\< f f f f8-.->\!\sf r c-.->\f r r ees-.-> |
    r4 ges8-.-> r d'16-. d-. d8-.-> d,16-. d-. d8-.->\sf r4^\fermataMarkup \bar "||"
    \pizz g4.\p^\piz d4 g4. d4 |
    g4. d4 g4. d4 |
    g4. d4 g4. fis4 |
    e4. b4 e4. d4 |
    cis4. a4 d4. d4 |
    g4.\mp d4 g4. fis4 |
    e4. b4 e4. d4 |
    c4. d4 e4. b4 |
    d4.\< e4 b4. e4 |
    \arco a,4--\!\f^\arc r8 e'-- r a4-- r8 a,-- r |
    d4 r8 a\> r d r4 d8\!\mp r |
    g-.\p r r d-. r g-. r4 d8-. r |
    g-. r r d-. r f-. r4 d8-. r |
    ees-. r r ees-. f-. g-. r4 d8-. c-. |
    bes-. r g'-. f-. d-. c-. r g'-. f-. ees-. |
    d-. r a'-. f-. d-. ees-. bes'-.\< g-. f-. ees-. |
    d-.\!\mf r r a-. r d-. r a-. d-. r |
    \time 3/4
    \pizz r <d b'>\p^\piz r4 <d b'>8 r |
    r <d b'>\< r4 <d b'>8 <g d'>->\!\mf |
    r <d b'>\p r4 <d b'>8 r |
    r <d b'>\< r4 <d b'>8 <g d'>->\!\mf |
    r <fis dis'>\mp r4 <fis dis'>8 r |
    r <fis dis'>\< r4 <fis dis'>8 <b fis'>->\!\f |
    r <fis dis'>\mp r4 <fis dis'>8 r |
    r <fis dis'>\< r4 \arco <fis dis'>8^\arc b,->\!\f |
    \time 5/4
    ees-.\f r r bes-.\mf r ees-. r4 bes8 r |
    ees-.\< r r bes-. r ees-. r4 bes8 r |
    ees-.\!\f r r bes-. r ees-. r4 b8-. r |
    e-. r r b-. r e-. r4 d8-. r |
    c16\mp c c8-. c-. c-. c-. c16\< c c8-. c-. c-. c-. |
    d16 d d8-. d-. d-. d-. d16 d d8-. d-. d-. d-. |
    g,-.\!\f r r d'-. r d16 d d d g8-. d-.-> |
    g,-.-> r r d'-. r g16 g g g d8-. d-.-> |
    g,-.-> r r d'-. r d16 d d d g8-. d-.-> |
    g,-.-> r r d'-. r g,16 g g g d'8-. d-.-> |
    g,16 g g g g8-. d'16 d d d d8-. g,16 g g g g8-. |
    g'4-> d8-> e4-> d8-> b4-> a8-> |
    \repeat tremolo 24 g32\> \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g\!\p \repeat tremolo 12 g |
    g8-. r r r4 r8 r4 r8 |
    \time 5/4
    \pizz d'4^\piz r r8 d4 r8 r4 |
    d4\> r r8 d4 r8 r4 |
    g,4\!\pp r r r2^\fermataMarkup \bar "||"
  }

  contrabass = \relative c {
    \clef bass \key c \major \time 3/4
    \transposition c
    R2. |
    r4 r8 c4.\mf\< ~ |
    c4. c8-.->\!\ff r4 |
    R2. |
    r4 r8 e4.\mf\< ~ |
    e4.\< e8-.->\!\ff r4 |
    \time 5/4
    r2 r8 g\mp\< ~ g2 |
    \grace { f16([ e d] } c8-.->)\!\sf r r g-.\p r c-. r4 g8-. r |
    c-. r r g-. r g-.\f g16-. g-. c8-. g-.\p |
    c-. r r g-. r c-.\f c16-. c-. g8-. g-.\p |
    c-. r r g-. r c\< ~ c4. |
    \time 5/4
    f8-.->\!\sf r r c-.\p r f-. r4 ees8-. r |
    d-.\mp r r a-. r d-. r4 c8-. r |
    bes-.\mf r r f-. r bes-. r4 aes8-. r |
    g-.\f r r d'-. r g-. r4 d8-. r |
    g-.\mf\< d-. g-. d-. g-. d-. g-. d-. g-. g,-.-> |
    \time 9/8 c-.->\sf r r g-.\f r g-.\f g16-. g-. c8-. g-.-> |
    c-.-> r r g-. r c-. c16-. c-. g8-. g-.-> |
    c-.-> r r g-. r c8\mp\< ~ c4 c16-. c-. |
    \time 5/4
    f8-.->\!\sf r r4 r8 f4\mf\< f8-.->\!\sf r4 |
    r f4\mf\< f8-.->\!\sf r f-.->\f r r aes-.-> |
    r4 ces8-.-> r d16-. d-. d8-.-> d,16-. d-. d8-.->\sf r4^\fermataMarkup \bar "||"
    \pizz g4.\p^\piz d4 g4. d4 |
    g4. d4 g4. d4 |
    g4. d4 g4. fis4 |
    e4. b4 e4. d4 |
    cis4. a4 d4. d4 |
    g4.\mp d4 g4. fis4 |
    e4. b4 e4. d4 |
    c4. d4 e4. b4 |
    d4.\< e4 b4. e4 |
    \arco a,4--\!\f^\arc r8 e'-- r a4-- r8 a,-- r |
    d4 r8 a\> r d r4 d8\!\mp r |
    g-.\p r r d-. r g-. r4 d8-. r |
    g-. r r d-. r f-. r4 d8-. r |
    ees-. r r ees-. f-. g-. r4 d8-. c-. |
    bes-. r g'-. f-. d-. c-. r g'-. f-. ees-. |
    d-. r a'-. f-. d-. ees-. bes'-.\< g-. f-. ees-. |
    d-.\!\mf r r a-. r d-. r a-. d-. r |
    \time 3/4
    \pizz g\p^\piz r d g r d |
    g\< r d g r g,->\!\mf |
    g'\p r d g r d |
    g\< r d g r g->\!\mf |
    b\mp r fis b r fis |
    b\< r fis b r b,->\!\f |
    b'\mp r fis b r fis |
    b\< r fis b r \arco b,-.^\arc |
    \time 5/4
    ees-.\f r r bes-.\mf r ees-. r4 bes8-. r |
    ees-.\< r r bes-. r ees-. r4 bes8-. r |
    ees-.\!\f r r bes-. r ees-. r4 b8-. r |
    e-. r r b-. r e-. r4 d8-. r |
    c16\mp c c8-. c-. c-. c-. c16\< c c8-. c-. c-. c-. |
    d16 d d8-. d-. d-. d-. d16 d d8-. d-. d-. d-. |
    g,-.\!\f r r d'-. r d16 d d d g8-. d-.-> |
    g,-.-> r r d'-. r g16 g g g d8-. d-.-> |
    g,-.-> r r d'-. r d16 d d d g8-. d-.-> |
    g,-.-> r r d'-. r g16 g g g d8-. d-.-> |
    g,16 g g g g8-. d'16 d d d d8-. g,16 g g g g8-. |
    g'4-> d8-> e4-> d8-> b4-> a8-> |
    \repeat tremolo 24 g,32\> \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g \repeat tremolo 12 g |
    \repeat tremolo 24 g\!\p \repeat tremolo 12 g |
    g8-. r r r4 r8 r4 r8 |
    \time 5/4
    \pizz g'4^\piz r r8 g4 r8 r4 |
    g4\> r r8 g4 r8 r4 |
    g,4\!\pp r r r2^\fermataMarkup \bar "||"
  }

  #(set-global-staff-size 8.5)

  \score {
    \new Orchestra = "orchestra" <<
    \set Score.skipBars = ##f
    \new MarkLine { \keepWithTag #'score \marks }
      \new StaffGroup = "woodwind" <<
      \new SquareStaff = "picc fl" <<
        \new Staff = "piccolo" {
          \set Staff.instrumentName = "Piccolo"
          \set Staff.shortInstrumentName = "Picc."
        \keepWithTag #'score \piccolo
        }
        \new Staff = "flutes" {
          \set Staff.instrumentName = "Flutes I & II"
          \set Staff.shortInstrumentName = "Fl."
        \keepWithTag #'score \flutes
        }
      >>
      \new Staff = "oboes" {
        \set Staff.instrumentName = "Oboes I & II"
        \set Staff.shortInstrumentName = "Ob."
      \keepWithTag #'score \oboes
      }
      \new Staff = "clarinets" {
        \set Staff.instrumentName = \markup {
          \column { \line { "Clarinets I & II" }
            \line { "in B" \smaller \flat } } }
        \set Staff.shortInstrumentName = "Cl."
      \keepWithTag #'score \clarinets
      }
      \new Staff = "bassoons" {
        \set Staff.instrumentName = "Bassoons I & II"
        \set Staff.shortInstrumentName = "Bsn."
      \bassoons
      }
    >>
    \new StaffGroup = "brass" <<
      \new SquareStaff = "horns" <<
        \new Staff = "hornsI" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horns I & II" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. I & II"
        \hornI
        }
        \new Staff = "hornsII" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Horns III & IV" }
              \line { "in F" } } }
          \set Staff.shortInstrumentName = "Hn. III & IV"
        \hornII
        }
      >>
      \new SquareStaff = "trumpets" <<
        \new Staff = "trumpetI" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Trumpets I & II" }
            \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Tpt. I & II"
        \trumpetI
        }
        \new Staff = "trumpetII" {
          \set Staff.instrumentName = \markup {
            \column { \line { "Trumpet III" }
            \line { "in B" \smaller \flat } } }
          \set Staff.shortInstrumentName = "Tpt. III"
        \trumpetII
        }
      >>
      \new Staff = "trombones 1 & 2" {
        \set Staff.instrumentName = "Trombones I & II"
        \set Staff.shortInstrumentName = "Tbn. I & II"
      \trombones
      }
      \new Staff = "tuba" {
        \set Staff.instrumentName = "Bass trombone & Tuba"
        \set Staff.shortInstrumentName = "Btb. & Tu."
      \tuba
      }
    >>
    \new Staff = "timpani" {
      \set Staff.instrumentName = "Timpani"
      \set Staff.shortInstrumentName = "Timp."
    \timpani
    }
    \new Staff = "tomtoms" \with {
      \override StaffSymbol #'line-count = #3
      } {
      \set Staff.instrumentName = "Tomtoms"
      \set Staff.shortInstrumentName = "Tomt."
    \toms
    }
    \new GrandStaff = "drums" <<
      \new RhythmicStaff = "triangle" {
        \set RhythmicStaff.instrumentName = "Triangle"
        \set RhythmicStaff.shortInstrumentName = "Trgl."
      \trian
      }
      \new RhythmicStaff = "tree" {
        \set RhythmicStaff.instrumentName = "Bell tree"
        \set RhythmicStaff.shortInstrumentName = "Bt."
      \tree
      }
      \new RhythmicStaff = "cymbal" {
        \set RhythmicStaff.instrumentName = "Suspended cymbal"
        \set RhythmicStaff.shortInstrumentName = "Susp. cym."
      \cym
      }
      \new RhythmicStaff = "tambourine" {
        \set RhythmicStaff.instrumentName = "Tambourine"
        \set RhythmicStaff.shortInstrumentName = "Tamb."
      \tamb
      }
      \new RhythmicStaff = "snare" {
        \set RhythmicStaff.instrumentName = "Snare drum"
        \set RhythmicStaff.shortInstrumentName = "Sn."
      \snare
      }
      \new RhythmicStaff = "bass drum" {
        \set RhythmicStaff.instrumentName = "Bass drum"
        \set RhythmicStaff.shortInstrumentName = "Bd."
      \bsdrum
      }
    >>
    \new Staff = "glockenspiel" {
      \set Staff.instrumentName = "Glockenspiel"
      \set Staff.shortInstrumentName = "Glock."
    \glock
    }
    \new PianoStaff = "harp" <<
      \set PianoStaff.instrumentName = "Harp"
      \set PianoStaff.shortInstrumentName = "Hrp."
      \set PianoStaff.connectArpeggios = ##t
      \new Staff = "rh" { \keepWithTag #'score \harprh }
      \new Dynamics { \dynamics }
      \new Staff = "lh" { \keepWithTag #'score \harplh }
    >>
    \new SmallMarkLine { \keepWithTag #'score \marks }
    \new StaffGroup = "strings" <<
      \new SquareStaff = "violins" <<
        \new Staff = "violin I" {
          \set Staff.instrumentName = "Violin I"
          \set Staff.shortInstrumentName = "Vln. I"
        \keepWithTag #'score \violinI
        }
        \new Staff = "violin II" {
          \set Staff.instrumentName = "Violin II"
          \set Staff.shortInstrumentName = "Vln. II"
        \keepWithTag #'score \violinII
        }
      >>
      \new Staff = "viola" {
        \set Staff.instrumentName = "Viola"
        \set Staff.shortInstrumentName = "Vla."
      \keepWithTag #'score \viola
      }
      \new SquareStaff = "Cello and Bass" <<
        \new Staff = "violoncello" {
          \set Staff.instrumentName = "Violoncello"
          \set Staff.shortInstrumentName = "Vc."
        \cello
        }
        \new Staff = "contrabass" {
          \set Staff.instrumentName = "Contrabass"
          \set Staff.shortInstrumentName = "Cb."
        \contrabass
        }
        >>
      >>
    >>
    \layout {
      \context {
        \Score
        \remove "Mark_engraver"
        \remove "Metronome_mark_engraver"
      }
    }
  }

\score {
  \unfoldRepeats \articulate {
  \new StaffGroup = "orchestra" <<
    \new Staff = "flutes" {
      \set Staff.midiInstrument = "flute"
    \keepWithTag #'midi << \marks \piccolo \transpose c' c \flutes >>
    }
    \new Staff = "oboes" {
      \set Staff.midiInstrument = "oboe"
    \keepWithTag #'midi \oboes
    }
    \new Staff = "clarinets" {
      \set Staff.midiInstrument = "clarinet"
    \keepWithTag #'midi \clarinets
    }
    \new Staff = "bassoons" {
      \set Staff.midiInstrument = "bassoon"
    \bassoons
    }
    \new Staff = "horns" {
      \set Staff.midiInstrument = "french horn"
    << \hornI \\ \hornII >>
    }
    \new Staff = "trumpets" {
      \set Staff.midiInstrument = "trumpet"
    << \trumpetI \\ \trumpetII >>
    }
    \new Staff = "trombones" {
      \set Staff.midiInstrument = "trombone"
    << \trombones \\ \tuba >>
    }
    \new Staff = "timpani" {
      \set Staff.midiInstrument = "timpani"
    \timpani
    }
    \new Staff = "glock" {
      \set Staff.midiInstrument = "glockenspiel"
    \glock
    }
    \new DrumStaff { \midiperc }
    \new Staff = "harp" {
      \set Staff.midiInstrument = "orchestral harp"
    \keepWithTag #'midi << \harprh \\ \dynamics \\ \harplh >>
    }
    \new StaffGroup = "strings" <<
      \set StaffGroup.midiInstrument = "string ensemble 1"
      \new Staff = "violini" { \keepWithTag #'midi \violinI }
      \new Staff = "viola" { \keepWithTag #'midi << \violinII \viola >> }
      \new Staff = "violoncello" { \cello }
      \new Staff = "bass" { \contrabass }
    >>
  >>
  }
  \midi { }
}

